/*
* Licensed Materials - Property of IBM
* Restricted Materials of IBM
* 
* com.ibm.rational.wvcm.stp.cc.CcAttribute
*
* (C) Copyright IBM Corporation 2012.  All Rights Reserved. 
* Note to U.S. Government Users Restricted Rights:  Use, duplication or  
* disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
*/
package com.ibm.rational.wvcm.stp.cc;

/**
 * Represents a Change Management Task Provider's configuration.
 * Task Provider's are used to connect ClearCase to 3 party Chanage Management systems.
 *
 */
public interface CcTaskProviderConfiguration {

    /**
     * Returns the task provider's name
     * @return the provider's unique name
     */
    public String getName();
    
    /**
     * Returns the task provider's version
     * @return the provider version
     */
    public String getVersion();
    
    /**
     * Returns the task provider specific context
     * @return the provider's opaque context
     */
    public String getContext();
    
    /**
     * Returns the task provider's type
     * @return the provider type
     */
    public String getType();
    
    /**
     * Returns whether this task provider is enabled
     * @return true if enabled, false otherwise
     */
    public boolean isEnabled();
    
    /**
     * Returns customized set of task provider configuration options
     * @return custom options
     */
    public CcTaskProviderOptions getOptions();
}
